org.apache.ignite.internal.commandline.cache.distribution

## Class CacheDistributionGroup

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.commandline.cache.distribution.CacheDistributionGroup

All Implemented Interfaces:
  Externalizable, Serializable

    public class CacheDistributionGroup
    extends VisorDataTransferObject

DTO for CacheDistributionTask, contains information about group

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`CacheDistributionGroup()` Default constructor.
`CacheDistributionGroup(int grpId, String grpName, List<CacheDistributionPartition> partitions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getGroupId()`
`String` `getGroupName()`
`List<CacheDistributionPartition>` `getPartitions()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`void` `setGroupId(int grpId)`
`void` `setGroupName(String grpName)`
`void` `setPartitions(List<CacheDistributionPartition> partitions)`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheDistributionGroup

    public CacheDistributionGroup()

Default constructor.

#### CacheDistributionGroup

    public CacheDistributionGroup(int grpId,
                                  String grpName,
                                  List<CacheDistributionPartition> partitions)

Parameters:
  `grpId` - Group identifier.
  `grpName` - Group name.
  `partitions` - List of partitions.

### Method Detail

#### getGroupId

    public int getGroupId()

#### setGroupId

    public void setGroupId(int grpId)

#### getGroupName

    public String getGroupName()

#### setGroupName

    public void setGroupName(String grpName)

#### getPartitions

    public List<CacheDistributionPartition> getPartitions()

#### setPartitions

    public void setPartitions(List<CacheDistributionPartition> partitions)

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018